Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/ninja: Cleaned up

From: k0r10n <k0r10n.dev_at_gmail.com>
Date: Sat, 25 Oct 2014 09:18:13 +0400

---
 testing/ninja/APKBUILD | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)
diff --git a/testing/ninja/APKBUILD b/testing/ninja/APKBUILD
index 18d9a69..da81225 100644
--- a/testing/ninja/APKBUILD
+++ b/testing/ninja/APKBUILD
_at_@ -27,19 +27,20 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	python2 ./bootstrap.py
-	asciidoc doc/manual.asciidoc
+	python2 ./bootstrap.py || return 1
+	asciidoc doc/manual.asciidoc || return 1
 }
 
 package() {
 	cd "$_builddir"
-	install -m755 -D ninja "$pkgdir/usr/bin/ninja"
+	install -m755 -D ninja "$pkgdir/usr/bin/ninja" || return 1
 	install -m644 -D doc/manual.asciidoc \
-		"$pkgdir/usr/share/doc/ninja/manual.asciidoc"
+		"$pkgdir/usr/share/doc/ninja/manual.asciidoc" || return 1
 	install -m644 -D doc/manual.html \
-		"$pkgdir/usr/share/doc/ninja/manual.html"
+		"$pkgdir/usr/share/doc/ninja/manual.html" || return 1
 	
-	install -m644 -D misc/bash-completion "$pkgdir/usr/share/bash-completion/completions/ninja"
+	install -m644 -D misc/bash-completion \
+		"$pkgdir/usr/share/bash-completion/completions/ninja" || return 1
 }
 
 md5sums="59f4f1cf5d9bb0d7877a6d5a5afd770a  ninja-1.5.1.tar.gz"
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sat Oct 25 2014 - 09:18:13 GMT